/*
compile (32-bit or 64-bit) VC++: cl test_admin.cpp repcoder.c user32.lib
compile BCC32: bcc32 test_admin.cpp repcoder.c
*/

#include "repcoder.h"
#include <stdio.h>

int main()
{
if( !repcoder_load() ) return 0;

if( !repc_init() )
  {
   MessageBox(0, "repc_init() error ...", "", MB_OK);
   return 0;
  }

BOOL ok = repc_admin_setup(0, /* bInterbase: 0 - Firebird, 1 - InterBase */
L"repcadmin_demo.fdb", /* ConnString - reporting database */
L"REPC_ADMIN", /* User - reporting database */
L"admin", /* Password - reporting database */
L"Demo", /* ProjectName - reporting database */
L"REPCoder Test", /* DbName - target database */
L"", /* DbLogin (optional) - target database */
L"admin", /* DbPassword - target database */
L"", /* DbRole (optional) - target database */
1, /* bVerify (0 - no verification, 1 - verify if ProjectName and DbName exist and if User has access to DbName)*/
1 /* bShowErrorMess (0 or 1) */
);

if( !ok ) { MessageBox(0, "repc_admin_setup error ...", "", MB_OK); repc_exit(); repcoder_free(); return 0; }

// Unicode:
repc_call_report(0 /*hParent*/, 1 /*bModal*/, L"Report_24 - long memo" /* ReportName: do not specify .sfm extension */, 0 /*bDesignMode*/);

// Ansi:
repc_call_report_a(0, 1, "Report_25 - statistics", 0);

const wchar_t* pdesc = repc_alloc_report_desc(L"Report_25 - statistics");
//Ansi: const char* pdesc = repc_alloc_report_desc_a("Report_25 - statistics");
if( pdesc )
  {
   MessageBoxW(0, pdesc, L"Desc", MB_OK);
   repc_free_memory(pdesc);
  }

int len = repc_get_report_desc_len(L"Report_25 - statistics"); /* ReportName: do not specify .sfm extension */
printf("DescLen = %d\n", len);

repc_exit();
repcoder_free();
return 0;
}
